<?php
/*---------------------------------------------------------------*/
/*
    Titre : afficher la taille d'un fichier en Ko, Mo, Go, To, Po, Eo, Zo, Yo                                             
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=613
    Auteur           : forty                                                                                              
    Website auteur   : http://www.toplien.fr/                                                                             
    Date dition     : 30 Oct 2010                                                                                        
    Date mise  jour : 12 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function taille_fichier($octets) {
      $resultat = $octets;
      for ($i=0; $i < 8 && $resultat >= 1024; $i++) {
        $resultat = $resultat / 1024;
      }
      if ($i > 0) {
        return preg_replace('/,00$/', '', number_format($resultat, 2, ',', '')) 
. ' ' . substr('KMGTPEZY',$i-1,1) . 'o';
      } else {
        return $resultat . ' o';
      }
    }
?>